Bug 1293447 - [abrt] chordii: strcpy(): chordii killed by SIGSEGV [NEEDINFO]
[abrt] chordii: strcpy(): chordii killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: chordii (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Johan Vromans
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:36c4a120126986b50e8e13b3d52...
:
: 1293450 1293452 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-21 14:02 EST by mariolinux
Modified: 2016-12-20 12:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:17:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jvromans: needinfo? (mariolinux)


Attachments (Terms of Use)
File: backtrace (7.40 KB, text/plain)
2015-12-21 14:02 EST, mariolinux
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-21 14:02 EST, mariolinux
no flags Details
File: core_backtrace (1.57 KB, text/plain)
2015-12-21 14:02 EST, mariolinux
no flags Details
File: dso_list (225 bytes, text/plain)
2015-12-21 14:02 EST, mariolinux
no flags Details
File: environ (3.14 KB, text/plain)
2015-12-21 14:03 EST, mariolinux
no flags Details
File: exploitable (93 bytes, text/plain)
2015-12-21 14:03 EST, mariolinux
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-21 14:03 EST, mariolinux
no flags Details
File: maps (1.56 KB, text/plain)
2015-12-21 14:03 EST, mariolinux
no flags Details
File: mountinfo (3.51 KB, text/plain)
2015-12-21 14:03 EST, mariolinux
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-21 14:03 EST, mariolinux
no flags Details
File: open_fds (136 bytes, text/plain)
2015-12-21 14:03 EST, mariolinux
no flags Details
File: proc_pid_status (1005 bytes, text/plain)
2015-12-21 14:03 EST, mariolinux
no flags Details
File: var_log_messages (482 bytes, text/plain)
2015-12-21 14:03 EST, mariolinux
no flags Details
input file (2.38 KB, text/plain)
2015-12-23 20:15 EST, mariolinux
no flags Details

  None (edit)
Description mariolinux 2015-12-21 14:02:50 EST
Version-Release number of selected component:
chordii-4.5.1-5.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        chordii -t14 -s32 -g -p0 -i -
crash_function: strcpy
executable:     /usr/bin/chordii
global_pid:     6854
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #1 strcpy at /usr/include/bits/string3.h:110
 #2 tolower_str at common.c:34
 #3 do_directive at chordii.c:900
 #4 process_file at chordii.c:1168
Comment 1 mariolinux 2015-12-21 14:02:55 EST
Created attachment 1108396 [details]
File: backtrace
Comment 2 mariolinux 2015-12-21 14:02:56 EST
Created attachment 1108397 [details]
File: cgroup
Comment 3 mariolinux 2015-12-21 14:02:58 EST
Created attachment 1108398 [details]
File: core_backtrace
Comment 4 mariolinux 2015-12-21 14:02:59 EST
Created attachment 1108399 [details]
File: dso_list
Comment 5 mariolinux 2015-12-21 14:03:01 EST
Created attachment 1108400 [details]
File: environ
Comment 6 mariolinux 2015-12-21 14:03:02 EST
Created attachment 1108401 [details]
File: exploitable
Comment 7 mariolinux 2015-12-21 14:03:03 EST
Created attachment 1108402 [details]
File: limits
Comment 8 mariolinux 2015-12-21 14:03:05 EST
Created attachment 1108403 [details]
File: maps
Comment 9 mariolinux 2015-12-21 14:03:06 EST
Created attachment 1108404 [details]
File: mountinfo
Comment 10 mariolinux 2015-12-21 14:03:07 EST
Created attachment 1108405 [details]
File: namespaces
Comment 11 mariolinux 2015-12-21 14:03:09 EST
Created attachment 1108406 [details]
File: open_fds
Comment 12 mariolinux 2015-12-21 14:03:10 EST
Created attachment 1108407 [details]
File: proc_pid_status
Comment 13 mariolinux 2015-12-21 14:03:12 EST
Created attachment 1108408 [details]
File: var_log_messages
Comment 14 Johan Vromans 2015-12-23 16:13:36 EST
Can you attach a copy of the input file that caused the crash?
Comment 15 mariolinux 2015-12-23 20:13:43 EST
(In reply to Johan Vromans from comment #14)
> Can you attach a copy of the input file that caused the crash?

The input file has been modified by an awk script, but I made many attempts and I cannot remember the version related to this crash. As I am just a beginner with awk, the awk script probably did something strange. However I will send you the input file, but if it happened to me only, I think we can ignore this crash.
Comment 16 mariolinux 2015-12-23 20:15 EST
Created attachment 1109050 [details]
input file
Comment 17 Johan Vromans 2015-12-24 02:29:00 EST
*** Bug 1293450 has been marked as a duplicate of this bug. ***
Comment 18 Johan Vromans 2015-12-24 02:29:54 EST
*** Bug 1293452 has been marked as a duplicate of this bug. ***
Comment 19 Johan Vromans 2015-12-24 02:38:35 EST
Thanks for the input data. Unfortunately, I am not able to reproduce your crashes with this data.

Chordii's core has been programmed a long time ago, when robustness was not the most important requirement for its development. There are many situations that can result in crashes, most notably excessive long input lines and strings. However, this should still be rather exceptional and not an everyday experience.

If you encounter another crash please save the exact input data, verify that you can reproduce the crash with that data, and then attach it to this bug. If I can reproduce the crash I'll definitely fix it.

For convenience, I marked bugs 1293450 and 1293452 as duplicates of this one, since the underlying problem is the same.
Comment 20 Fedora End Of Life 2016-11-24 09:26:29 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 21 Fedora End Of Life 2016-12-20 12:17:50 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.